#878 rpm installation hangs starting rxapi

v4.0.1
closed
5
2012-08-14
2010-02-05
No

When trying to install the rpm packagin in a SuSE 11.1 machine it hangs starting the rxapi process...

pw:/home/perry/Download # rpm -ivh ooRexx-4.0.0.i586.rpm
Preparing... ########################################### [100%]
1:ooRexx ########################################### [100%]
Starting rxapi:

perry@pw:~> ps aux | grep -i rxapi
root 9300 0.0 0.0 3220 1428 pts/1 S+ 16:39 0:00 /bin/bash /etc/rc.d/rxapid start
nobody 9307 0.0 0.0 3324 952 ? Ss 16:39 0:00 /opt/ooRexx/bin/rxapi
perry 9334 0.0 0.0 3260 816 pts/2 S+ 16:41 0:00 grep -i rxapi
perry@pw:~>

Killing the rxapi process the instalation failes...

Starting rxapi:
error: %post(ooRexx-4.0.0-0.i386) scriptlet failed, exit status 1
pw:/home/perry/Download #

Discussion

  • Mark Miesfeld

    Mark Miesfeld - 2010-02-05

    I'm pretty sure this package: ooRexx-4.0.0.i586.rpm installs cleanly on SuSE 11, at least it did in my testing.

    A couple of things: Did you use rpm to uninstall any previous ooRexx package before you tried to install 4.0.0? If you didn't, then please uninstall the existing and retry the install.

    You need to install as root, did you su to root to do the install?

    Did you try more than once? <grin>

    If you have the time and inclination, could you try this package: ooRexx-4.0.0.i586.suse10.rpm and let me know if it works.

    I'll install 11.1 on a test system when I get a chance, but it will be a few days before I get to it.

     
  • Perry Werneck

    Perry Werneck - 2010-02-08

    Hi,

    The ooRexx 3.xx was uninstalled before the update; I tried removing the file .OOREXX3.2.0.0_root and with ooRexx 4.0.0.i586.suse10 with the same results.

    I tried with --noscripts option but it didn't create the link files to the libraries.

    By the way: I'm changing the spec file to create the "links" without the need of "%post" script and other small adjustments.

     
  • Perry Werneck

    Perry Werneck - 2010-02-08

    I just tried on a SLES 11 machine. Same problem.

     
  • Perry Werneck

    Perry Werneck - 2010-02-08

    Patch adding workaround for the problem

     
  • Perry Werneck

    Perry Werneck - 2010-02-08

    Suggested update for spec file

     
  • Perry Werneck

    Perry Werneck - 2010-02-08

    After a few tests I found the problem: For some reason the call to "start_daemon" is hanging then, as a workaround I made a small patch removing the "start_daemon" call and allowing use of the "startproc" call. After that the package installs ok and the service is running.

    Meanwhile I did some changes in the .spec file:

    • Enable "auto-detection" of known distros and adding the distro name/version in the package release

    • The creation of the links was moved to %install allowing the usage of rpm -qf on link files allowing installation with --noscripts

    • the configure and make install calls were changed to rpm's %configure and %makeinstall macros

    • The fixed paths were replaced to rpm's pre-defined macros

    • added test for insserv and chkconfig during rxapi service setup.

     
  • Mark Miesfeld

    Mark Miesfeld - 2010-04-04

    Committed revision 5765. (4.0.1 source tree.)
    Committed revision 5765. (trunk)

    Because of a problem with #defines, rxapi was being compiled for a special case on AIX. As a result, on SuSE the rxapi process was not being started correctly.

     
  • Mark Miesfeld

    Mark Miesfeld - 2010-09-08

    The fix for this item was in the 4.0.1 release.

     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks